brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From henev...@apache.org
Subject [38/51] [abbrv] brooklyn-dist git commit: update license generation to put a file in each project root
Date Mon, 01 Feb 2016 17:35:18 GMT
update license generation to put a file in each project root

and  correct some version mismatches


Project: http://git-wip-us.apache.org/repos/asf/brooklyn-dist/repo
Commit: http://git-wip-us.apache.org/repos/asf/brooklyn-dist/commit/92947c9c
Tree: http://git-wip-us.apache.org/repos/asf/brooklyn-dist/tree/92947c9c
Diff: http://git-wip-us.apache.org/repos/asf/brooklyn-dist/diff/92947c9c

Branch: refs/heads/master
Commit: 92947c9c4556e69ae5cf0793159e23330ee2ae45
Parents: 71b379c
Author: Alex Heneveld <alex.heneveld@cloudsoftcorp.com>
Authored: Sat Jan 30 03:32:38 2016 +0000
Committer: Alex Heneveld <alex.heneveld@cloudsoftcorp.com>
Committed: Sat Jan 30 03:32:38 2016 +0000

----------------------------------------------------------------------
 .../dist/licensing/make-all-licenses.sh         | 34 +++++++++++---------
 brooklyn-dist/dist/licensing/overrides.yaml     | 10 +++---
 2 files changed, 25 insertions(+), 19 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/brooklyn-dist/blob/92947c9c/brooklyn-dist/dist/licensing/make-all-licenses.sh
----------------------------------------------------------------------
diff --git a/brooklyn-dist/dist/licensing/make-all-licenses.sh b/brooklyn-dist/dist/licensing/make-all-licenses.sh
index 3b62f96..b08d17f 100755
--- a/brooklyn-dist/dist/licensing/make-all-licenses.sh
+++ b/brooklyn-dist/dist/licensing/make-all-licenses.sh
@@ -29,26 +29,14 @@ unset BROOKLYN_LICENSE_SPECIALS
 unset BROOKLYN_LICENSE_EXTRAS_FILES
 unset BROOKLYN_LICENSE_MODE
 
-# individual projects
-for x in `cat projects-with-custom-licenses` ; do
-  export BROOKLYN_LICENSE_MODE=`basename $x`
-  echo MAKING LICENSES FOR: ${BROOKLYN_LICENSE_MODE}
-  export BROOKLYN_LICENSE_SPECIALS=-DonlyExtras=true
-  export BROOKLYN_LICENSE_EXTRAS_FILES=$x/src/main/license/source-inclusions.yaml
-  cp licenses/`basename $x`/* licenses/source
-  ./make-one-license.sh > LICENSE.autogenerated || ( echo FAILED. See details in tmp_stdout/err.
&& false )
-  cp LICENSE.autogenerated ../$x/src/main/license/files/LICENSE
-  unset BROOKLYN_LICENSE_SPECIALS
-  unset BROOKLYN_LICENSE_EXTRAS_FILES
-  unset BROOKLYN_LICENSE_MODE
-done
-
-# source build, at root
+# source build, at root and each sub-project
 export BROOKLYN_LICENSE_MODE=source
 echo MAKING LICENSES FOR: ${BROOKLYN_LICENSE_MODE}
 export BROOKLYN_LICENSE_SPECIALS=-DonlyExtras=true 
 ./make-one-license.sh > LICENSE.autogenerated
 cp LICENSE.autogenerated ../../../LICENSE
+# overwrite any existing licenses at root
+for x in ../../../brooklyn-*/LICENSE ; do cp LICENSE.autogenerated $x ; done
 unset BROOKLYN_LICENSE_SPECIALS
 unset BROOKLYN_LICENSE_MODE
 
@@ -59,3 +47,19 @@ echo MAKING LICENSES FOR: ${BROOKLYN_LICENSE_MODE}
 cp LICENSE.autogenerated ../src/main/license/files/LICENSE
 unset BROOKLYN_LICENSE_MODE
 
+# individual projects
+for x in `cat projects-with-custom-licenses` ; do
+  export BROOKLYN_LICENSE_MODE=`basename $x`
+  echo MAKING LICENSES FOR: ${BROOKLYN_LICENSE_MODE}
+  export BROOKLYN_LICENSE_SPECIALS=-DonlyExtras=true
+  export BROOKLYN_LICENSE_EXTRAS_FILES=$x/src/main/license/source-inclusions.yaml
+  cp licenses/`basename $x`/* licenses/source
+  ./make-one-license.sh > LICENSE.autogenerated || ( echo FAILED. See details in tmp_stdout/err.
&& false )
+  cp LICENSE.autogenerated ../$x/src/main/license/files/LICENSE
+  # also copy to root of that project *if* there is already a LICENSE file there
+  [ -f ../$x/LICENSE ] && cp LICENSE.autogenerated ../$x/LICENSE || true
+  unset BROOKLYN_LICENSE_SPECIALS
+  unset BROOKLYN_LICENSE_EXTRAS_FILES
+  unset BROOKLYN_LICENSE_MODE
+done
+

http://git-wip-us.apache.org/repos/asf/brooklyn-dist/blob/92947c9c/brooklyn-dist/dist/licensing/overrides.yaml
----------------------------------------------------------------------
diff --git a/brooklyn-dist/dist/licensing/overrides.yaml b/brooklyn-dist/dist/licensing/overrides.yaml
index a2f6107..1285df4 100644
--- a/brooklyn-dist/dist/licensing/overrides.yaml
+++ b/brooklyn-dist/dist/licensing/overrides.yaml
@@ -99,7 +99,8 @@
 
 # info on non-maven projects
 
-- id: jquery-core
+# used in UI
+- id: jquery-core:1.7.2
   url: http://jquery.com/
   description: JS library for manipulating HTML and eventing
   name: jQuery JavaScript Library
@@ -146,6 +147,7 @@
   - "  Available at http://sizzlejs.com"
   - "  Used under the MIT license"
 
+# not used anymore? swagger-ui includes what it needs, it seems.
 - id: swagger:2.1.6
   name: Swagger JS
   files: swagger-client.js
@@ -154,10 +156,10 @@
   license: ASL2
   notice: Copyright (c) SmartBear Software (2011-2015)
 
-- id: swagger-ui:2.1.3
-  files: swagger-ui.js
+- id: swagger-ui:2.1.4
+  files: swagger*.{js,css,html}
   name: Swagger UI
-  version: 2.1.3
+  version: 2.1.4
   url: https://github.com/swagger-api/swagger-ui
   license: ASL2
   notice: Copyright (c) SmartBear Software (2011-2015)


Mime
View raw message